Open CASCADE Technology: TopOpeBRepDS_BuildTool Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TopOpeBRepDS_BuildTool Class Reference

Provides a Tool to build topologies. Used to instantiate the Builder algorithm. More...

`#include <TopOpeBRepDS_BuildTool.hxx>`

## Public Member Functions
| TopOpeBRepDS_BuildTool ()
| TopOpeBRepDS_BuildTool (const TopOpeBRepTool_OutCurveType OutCurveType)
| TopOpeBRepDS_BuildTool (const TopOpeBRepTool_GeomTool &GT)
const TopOpeBRepTool_GeomTool & | GetGeomTool () const
TopOpeBRepTool_GeomTool & | ChangeGeomTool ()
void | MakeVertex (TopoDS_Shape &V, const TopOpeBRepDS_Point &P) const
void | MakeEdge (TopoDS_Shape &E, const TopOpeBRepDS_Curve &C) const
void | MakeEdge (TopoDS_Shape &E, const TopOpeBRepDS_Curve &C, const TopOpeBRepDS_DataStructure &DS) const
void | MakeEdge (TopoDS_Shape &E, const Handle< Geom_Curve > &C, const Standard_Real Tol) const
void | MakeEdge (TopoDS_Shape &E) const
void | MakeWire (TopoDS_Shape &W) const
void | MakeFace (TopoDS_Shape &F, const TopOpeBRepDS_Surface &S) const
void | MakeShell (TopoDS_Shape &Sh) const
void | MakeSolid (TopoDS_Shape &S) const
void | CopyEdge (const TopoDS_Shape &Ein, TopoDS_Shape &Eou) const
| Make an edge <Eou> with the curve of the edge <Ein> More...
void | GetOrientedEdgeVertices (TopoDS_Edge &E, TopoDS_Vertex &Vmin, TopoDS_Vertex &Vmax, Standard_Real &Parmin, Standard_Real &Parmax) const
void | UpdateEdgeCurveTol (const TopoDS_Face &F1, const TopoDS_Face &F2, TopoDS_Edge &E, const Handle< Geom_Curve > &C3Dnew, const Standard_Real tol3d, const Standard_Real tol2d1, const Standard_Real tol2d2, Standard_Real &newtol, Standard_Real &newparmin, Standard_Real &newparmax) const
void | ApproxCurves (const TopOpeBRepDS_Curve &C, TopoDS_Edge &E, Standard_Integer &inewC, const Handle< TopOpeBRepDS_HDataStructure > &HDS) const
void | ComputePCurves (const TopOpeBRepDS_Curve &C, TopoDS_Edge &E, TopOpeBRepDS_Curve &newC, const Standard_Boolean CompPC1, const Standard_Boolean CompPC2, const Standard_Boolean CompC3D) const
void | PutPCurves (const TopOpeBRepDS_Curve &newC, TopoDS_Edge &E, const Standard_Boolean CompPC1, const Standard_Boolean CompPC2) const
void | RecomputeCurves (const TopOpeBRepDS_Curve &C, const TopoDS_Edge &oldE, TopoDS_Edge &E, Standard_Integer &inewC, const Handle< TopOpeBRepDS_HDataStructure > &HDS) const
void | CopyFace (const TopoDS_Shape &Fin, TopoDS_Shape &Fou) const
| Make a face <Fou> with the surface of the face <Fin> More...
void | AddEdgeVertex (const TopoDS_Shape &Ein, TopoDS_Shape &Eou, const TopoDS_Shape &V) const
void | AddEdgeVertex (TopoDS_Shape &E, const TopoDS_Shape &V) const
void | AddWireEdge (TopoDS_Shape &W, const TopoDS_Shape &E) const
void | AddFaceWire (TopoDS_Shape &F, const TopoDS_Shape &W) const
void | AddShellFace (TopoDS_Shape &Sh, const TopoDS_Shape &F) const
void | AddSolidShell (TopoDS_Shape &S, const TopoDS_Shape &Sh) const
void | Parameter (const TopoDS_Shape &E, const TopoDS_Shape &V, const Standard_Real P) const
| Sets the parameter. More...
void | Range (const TopoDS_Shape &E, const Standard_Real first, const Standard_Real last) const
| Sets the range of edge <E>. More...
void | UpdateEdge (const TopoDS_Shape &Ein, TopoDS_Shape &Eou) const
| Sets the range of edge <Eou> from <Ein> only when <Ein> has a closed geometry. More...
void | Parameter (const TopOpeBRepDS_Curve &C, TopoDS_Shape &E, TopoDS_Shape &V) const
| Compute the parameter of the vertex <V>, supported by the edge <E>, on the curve `.` More...
void | Curve3D (TopoDS_Shape &E, const Handle< Geom_Curve > &C, const Standard_Real Tol) const
| Sets the curve `for the edge <E>` More...
void | PCurve (TopoDS_Shape &F, TopoDS_Shape &E, const Handle< Geom2d_Curve > &C) const
| Sets the pcurve `for the edge <E> on the face <F>. If OverWrite is True the old pcurve if there is one is overwritten, else the two pcurves are set.` More...
void | PCurve (TopoDS_Shape &F, TopoDS_Shape &E, const TopOpeBRepDS_Curve &CDS, const Handle< Geom2d_Curve > &C) const
void | Orientation (TopoDS_Shape &S, const TopAbs_Orientation O) const
TopAbs_Orientation | Orientation (const TopoDS_Shape &S) const
void | Closed (TopoDS_Shape &S, const Standard_Boolean B) const
Standard_Boolean | Approximation () const
void | UpdateSurface (const TopoDS_Shape &F, const Handle< Geom_Surface > &SU) const
void | UpdateSurface (const TopoDS_Shape &E, const TopoDS_Shape &oldF, const TopoDS_Shape &newF) const
Standard_Boolean | OverWrite () const
void | OverWrite (const Standard_Boolean O)
Standard_Boolean | Translate () const
void | Translate (const Standard_Boolean T)

## Detailed Description

Provides a Tool to build topologies. Used to instantiate the Builder algorithm.

## Constructor & Destructor Documentation

TopOpeBRepDS_BuildTool::TopOpeBRepDS_BuildTool | ( |  | ) |

TopOpeBRepDS_BuildTool::TopOpeBRepDS_BuildTool | ( | const TopOpeBRepTool_OutCurveType | OutCurveType | ) |

TopOpeBRepDS_BuildTool::TopOpeBRepDS_BuildTool | ( | const TopOpeBRepTool_GeomTool & | GT | ) |

## Member Function Documentation

void TopOpeBRepDS_BuildTool::AddEdgeVertex | ( | const TopoDS_Shape & | Ein,
|  | TopoDS_Shape & | Eou,
|  | const TopoDS_Shape & | V
| ) |  | const

void TopOpeBRepDS_BuildTool::AddEdgeVertex | ( | TopoDS_Shape & | E,
|  | const TopoDS_Shape & | V
| ) |  | const

void TopOpeBRepDS_BuildTool::AddFaceWire | ( | TopoDS_Shape & | F,
|  | const TopoDS_Shape & | W
| ) |  | const

void TopOpeBRepDS_BuildTool::AddShellFace | ( | TopoDS_Shape & | Sh,
|  | const TopoDS_Shape & | F
| ) |  | const

void TopOpeBRepDS_BuildTool::AddSolidShell | ( | TopoDS_Shape & | S,
|  | const TopoDS_Shape & | Sh
| ) |  | const

void TopOpeBRepDS_BuildTool::AddWireEdge | ( | TopoDS_Shape & | W,
|  | const TopoDS_Shape & | E
| ) |  | const

void TopOpeBRepDS_BuildTool::ApproxCurves | ( | const TopOpeBRepDS_Curve & | C,
|  | TopoDS_Edge & | E,
|  | Standard_Integer & | inewC,
|  | const Handle< TopOpeBRepDS_HDataStructure > & | HDS
| ) |  | const

Standard_Boolean TopOpeBRepDS_BuildTool::Approximation | ( |  | ) | const

TopOpeBRepTool_GeomTool& TopOpeBRepDS_BuildTool::ChangeGeomTool | ( |  | ) |

void TopOpeBRepDS_BuildTool::Closed | ( | TopoDS_Shape & | S,
|  | const Standard_Boolean | B
| ) |  | const

void TopOpeBRepDS_BuildTool::ComputePCurves | ( | const TopOpeBRepDS_Curve & | C,
|  | TopoDS_Edge & | E,
|  | TopOpeBRepDS_Curve & | newC,
|  | const Standard_Boolean | CompPC1,
|  | const Standard_Boolean | CompPC2,
|  | const Standard_Boolean | CompC3D
| ) |  | const

void TopOpeBRepDS_BuildTool::CopyEdge | ( | const TopoDS_Shape & | Ein,
|  | TopoDS_Shape & | Eou
| ) |  | const

Make an edge <Eou> with the curve of the edge <Ein>

void TopOpeBRepDS_BuildTool::CopyFace | ( | const TopoDS_Shape & | Fin,
|  | TopoDS_Shape & | Fou
| ) |  | const

Make a face <Fou> with the surface of the face <Fin>

void TopOpeBRepDS_BuildTool::Curve3D | ( | TopoDS_Shape & | E,
|  | const Handle< Geom_Curve > & | C,
|  | const Standard_Real | Tol
| ) |  | const

Sets the curve `for the edge <E>`

const TopOpeBRepTool_GeomTool& TopOpeBRepDS_BuildTool::GetGeomTool | ( |  | ) | const

void TopOpeBRepDS_BuildTool::GetOrientedEdgeVertices | ( | TopoDS_Edge & | E,
|  | TopoDS_Vertex & | Vmin,
|  | TopoDS_Vertex & | Vmax,
|  | Standard_Real & | Parmin,
|  | Standard_Real & | Parmax
| ) |  | const

void TopOpeBRepDS_BuildTool::MakeEdge | ( | TopoDS_Shape & | E,
|  | const TopOpeBRepDS_Curve & | C
| ) |  | const

void TopOpeBRepDS_BuildTool::MakeEdge | ( | TopoDS_Shape & | E,
|  | const TopOpeBRepDS_Curve & | C,
|  | const TopOpeBRepDS_DataStructure & | DS
| ) |  | const

void TopOpeBRepDS_BuildTool::MakeEdge | ( | TopoDS_Shape & | E,
|  | const Handle< Geom_Curve > & | C,
|  | const Standard_Real | Tol
| ) |  | const

void TopOpeBRepDS_BuildTool::MakeEdge | ( | TopoDS_Shape & | E | ) | const

void TopOpeBRepDS_BuildTool::MakeFace | ( | TopoDS_Shape & | F,
|  | const TopOpeBRepDS_Surface & | S
| ) |  | const

void TopOpeBRepDS_BuildTool::MakeShell | ( | TopoDS_Shape & | Sh | ) | const

void TopOpeBRepDS_BuildTool::MakeSolid | ( | TopoDS_Shape & | S | ) | const

void TopOpeBRepDS_BuildTool::MakeVertex | ( | TopoDS_Shape & | V,
|  | const TopOpeBRepDS_Point & | P
| ) |  | const

void TopOpeBRepDS_BuildTool::MakeWire | ( | TopoDS_Shape & | W | ) | const

void TopOpeBRepDS_BuildTool::Orientation | ( | TopoDS_Shape & | S,
|  | const TopAbs_Orientation | O
| ) |  | const

TopAbs_Orientation TopOpeBRepDS_BuildTool::Orientation | ( | const TopoDS_Shape & | S | ) | const

Standard_Boolean TopOpeBRepDS_BuildTool::OverWrite | ( |  | ) | const

void TopOpeBRepDS_BuildTool::OverWrite | ( | const Standard_Boolean | O | ) |

void TopOpeBRepDS_BuildTool::Parameter | ( | const TopoDS_Shape & | E,
|  | const TopoDS_Shape & | V,
|  | const Standard_Real | P
| ) |  | const

Sets the parameter.

for the vertex <V> on the edge <E>.

void TopOpeBRepDS_BuildTool::Parameter | ( | const TopOpeBRepDS_Curve & | C,
|  | TopoDS_Shape & | E,
|  | TopoDS_Shape & | V
| ) |  | const

Compute the parameter of the vertex <V>, supported by the edge <E>, on the curve `.`

void TopOpeBRepDS_BuildTool::PCurve | ( | TopoDS_Shape & | F,
|  | TopoDS_Shape & | E,
|  | const Handle< Geom2d_Curve > & | C
| ) |  | const

Sets the pcurve `for the edge <E> on the face <F>. If OverWrite is True the old pcurve if there is one is overwritten, else the two pcurves are set.`

void TopOpeBRepDS_BuildTool::PCurve | ( | TopoDS_Shape & | F,
|  | TopoDS_Shape & | E,
|  | const TopOpeBRepDS_Curve & | CDS,
|  | const Handle< Geom2d_Curve > & | C
| ) |  | const

void TopOpeBRepDS_BuildTool::PutPCurves | ( | const TopOpeBRepDS_Curve & | newC,
|  | TopoDS_Edge & | E,
|  | const Standard_Boolean | CompPC1,
|  | const Standard_Boolean | CompPC2
| ) |  | const

void TopOpeBRepDS_BuildTool::Range | ( | const TopoDS_Shape & | E,
|  | const Standard_Real | first,
|  | const Standard_Real | last
| ) |  | const

Sets the range of edge <E>.

void TopOpeBRepDS_BuildTool::RecomputeCurves | ( | const TopOpeBRepDS_Curve & | C,
|  | const TopoDS_Edge & | oldE,
|  | TopoDS_Edge & | E,
|  | Standard_Integer & | inewC,
|  | const Handle< TopOpeBRepDS_HDataStructure > & | HDS
| ) |  | const

Standard_Boolean TopOpeBRepDS_BuildTool::Translate | ( |  | ) | const

void TopOpeBRepDS_BuildTool::Translate | ( | const Standard_Boolean | T | ) |

void TopOpeBRepDS_BuildTool::UpdateEdge | ( | const TopoDS_Shape & | Ein,
|  | TopoDS_Shape & | Eou
| ) |  | const

Sets the range of edge <Eou> from <Ein> only when <Ein> has a closed geometry.

void TopOpeBRepDS_BuildTool::UpdateEdgeCurveTol | ( | const TopoDS_Face & | F1,
|  | const TopoDS_Face & | F2,
|  | TopoDS_Edge & | E,
|  | const Handle< Geom_Curve > & | C3Dnew,
|  | const Standard_Real | tol3d,
|  | const Standard_Real | tol2d1,
|  | const Standard_Real | tol2d2,
|  | Standard_Real & | newtol,
|  | Standard_Real & | newparmin,
|  | Standard_Real & | newparmax
| ) |  | const

void TopOpeBRepDS_BuildTool::UpdateSurface | ( | const TopoDS_Shape & | F,
|  | const Handle< Geom_Surface > & | SU
| ) |  | const

void TopOpeBRepDS_BuildTool::UpdateSurface | ( | const TopoDS_Shape & | E,
|  | const TopoDS_Shape & | oldF,
|  | const TopoDS_Shape & | newF
| ) |  | const

The documentation for this class was generated from the following file:

- TopOpeBRepDS_BuildTool.hxx